java.lang

## Class VirtualMachineError

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Error
    - - java.lang.VirtualMachineError

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    InternalError, OutOfMemoryError, StackOverflowError, UnknownError

      public abstract class VirtualMachineError
      extends Error

  Thrown to indicate that the Java Virtual Machine is broken or has run out of resources necessary for it to continue operating.
  Since:
    JDK1.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VirtualMachineError()` Constructs a `VirtualMachineError` with no detail message.
    `VirtualMachineError(String s)` Constructs a `VirtualMachineError` with the specified detail message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### VirtualMachineError

          public VirtualMachineError()

      Constructs a `VirtualMachineError` with no detail message.

    - #### VirtualMachineError

          public VirtualMachineError(String s)

      Constructs a `VirtualMachineError` with the specified detail message.
      Parameters:
        `s` - the detail message.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.